Bug 977333 - Class folder in build path does not refresh properly
Class folder in build path does not refresh properly
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 06:36 EDT by Raphael Groner
Modified: 2013-08-06 12:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 12:14:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eclipse vs. ant (210.00 KB, application/x-bzip)
2013-06-26 08:20 EDT, Raphael Groner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 210746 None None None Never

  None (edit)
Description Raphael Groner 2013-06-24 06:36:41 EDT
Description of problem:
Eclipse class files conflict with ant builds when they are configured to go into the same folder. JUnit respons with ClassDefNotFoundException.

Version-Release number of selected component (if applicable):
ant-1.8.4-6.fc19.noarch
eclipse-jdt-4.3.0-1.fc19.x86_64
eclipse-testframework-4.2.0-3.fc19.noarch
java-1.7.0-openjdk-1.7.0.25-2.3.10.3.fc19.x86_64

How reproducible:
yes

Steps to Reproduce:
1. use ant to build
2. try to run an application in Eclipse from the same folder
3.

Actual results:
ClassDefNotFoundException

Expected results:


Additional info:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=210746
Comment 1 Alexander Kurtakov 2013-06-24 07:26:28 EDT
Raphael, would you please attach a sample project we can use for testing.
Comment 2 Raphael Groner 2013-06-26 08:20:17 EDT
Created attachment 765535 [details]
eclipse vs. ant

ant compile
ant test

→ JUnit Test: works


ant recompile

→ JUnit Test: ClassNotFound
Comment 3 Raphael Groner 2013-08-06 12:14:22 EDT
Okay, problem is localized. If "ant clean" has been run, then Eclipse must be manually notified via "Clean Projects ..." and deactivated "Build Automatically". Using different folders for each Ant and Eclipse does not make any difference (strange!).

I am not sure if this is a real bug. Eclipse does not seem to monitor the output folder for external changes and may discard the internal cache.

Besides that, I can reproduce the behaviour on Mageia2 with Eclipse Version: 3.7.1, Build id: R3_7_1, so this bug should better be forwarded to upstream.

Note You need to log in before you can comment on or make changes to this bug.